BEGIN TAFLIRT

EXTEND_BOTTOM ~TASHIAJ~ 74
  IF ~InPartySlot(LastTalkedToBy(),0)
Global("FlirtStarted","LOCALS",0)
GlobalLT("TashiaRomanceActive","GLOBAL",3)~ THEN REPLY ~(Flirt with Tashia)~ DO ~SetGlobal("Flirt1","LOCALS",0)
SetGlobal("Flirt2","LOCALS",0)
SetGlobal("Flirt5","LOCALS",0)
SetGlobal("FlirtStarted","LOCALS",1)~ GOTO flirt1
  IF ~InPartySlot(LastTalkedToBy(),0)
Global("FlirtStarted","LOCALS",1)
GlobalLT("TashiaRomanceActive","GLOBAL",3)~ THEN REPLY ~(Flirt with Tashia)~ GOTO flirt1
END

EXTEND_BOTTOM ~TASHIAJ~ 74
  IF ~InPartySlot(LastTalkedToBy(),0)
Global("TashiaIsMad","LOCALS",1)
Global("TashiaRomanceActive","GLOBAL",3)~ THEN REPLY ~I'm sorry, Tashia, I didn't mean to offend you... I was merely trying to be nice.  I'm sorry.~ GOTO flirtapol
END

APPEND ~TASHIAJ~
IF ~~ THEN BEGIN flirtapol
  SAY ~*sigh*  Apology accepted.~
  IF ~~ THEN DO ~SetGlobal("TashiaIsMad","LOCALS",2)
SetGlobal("TashiaRomanceActive","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN flirt1
  SAY ~(Tashia looks in your direction with curiosity)~
  IF ~~ THEN REPLY ~Nevermind.~ EXIT

  // Before and including LoveTalk 22
  IF ~InPartySlot(LastTalkedToBy(),0)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalLT("Flirt1","LOCALS",6)
OR(2)
RealGlobalTimerExpired("FlirtTimer1","LOCALS")
Global("Flirt1","LOCALS",0)~ THEN REPLY ~(Beam a smile at Tashia)~ DO ~IncrementGlobal("Flirt1","LOCALS",1)
SetGlobal("DoFlirt","LOCALS",1)
RealSetGlobalTimer("FlirtTimer1","LOCALS",720)~ EXIT

  IF ~InPartySlot(LastTalkedToBy(),0)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalLT("Flirt2","LOCALS",4)
OR(2)
RealGlobalTimerExpired("FlirtTimer2","LOCALS")
Global("Flirt2","LOCALS",0)~ THEN REPLY ~(Wink playfully at Tashia)~ DO ~IncrementGlobal("Flirt2","LOCALS",1)
SetGlobal("DoFlirt","LOCALS",2)
RealSetGlobalTimer("FlirtTimer2","LOCALS",1020)~ EXIT

  IF ~InPartySlot(LastTalkedToBy(),0)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalLT("LoveTalk","LOCALS",23)
Global("Flirt1","LOCALS",6)
RealGlobalTimerExpired("FlirtTimer1","LOCALS")~ THEN REPLY ~(Beam a smile at Tashia)~ DO ~IncrementGlobal("Flirt1","LOCALS",1)~ GOTO flirt2

  IF ~InPartySlot(LastTalkedToBy(),0)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalLT("LoveTalk","LOCALS",23)
Global("Flirt2","LOCALS",4)
RealGlobalTimerExpired("FlirtTimer2","LOCALS")~ THEN REPLY ~(Wink playfully at Tashia)~ DO ~IncrementGlobal("Flirt2","LOCALS",1)~ GOTO flirt3

  // Post Lovetalk 22

  IF ~InPartySlot(LastTalkedToBy(),0)
GlobalGT("LoveTalk","LOCALS",22)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalGT("Flirt1","LOCALS",5)
RealGlobalTimerExpired("FlirtTimer1","LOCALS")~ THEN REPLY ~(Give Tashia a supportive hug)~ DO ~IncrementGlobal("Flirt3","LOCALS",1)
SetGlobal("DoFlirt","LOCALS",3)
RealSetGlobalTimer("FlirtTimer1","LOCALS",1720)~ EXIT

  IF ~InPartySlot(LastTalkedToBy(),0)
GlobalGT("LoveTalk","LOCALS",22)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalGT("Flirt2","LOCALS",3)
RealGlobalTimerExpired("FlirtTimer2","LOCALS")~ THEN REPLY ~(Give Tashia a compliment)~ DO ~IncrementGlobal("Flirt4","LOCALS",1)
SetGlobal("DoFlirt","LOCALS",4)
RealSetGlobalTimer("FlirtTimer2","LOCALS",1020)~ EXIT

  IF ~InPartySlot(LastTalkedToBy(),0)
GlobalGT("LoveTalk","LOCALS",22)
GlobalLT("TashiaRomanceActive","GLOBAL",3)
GlobalLT("TADreamResurrected","GLOBAL",4)
Global("TashiaIsMad","LOCALS",0)~ THEN REPLY ~(Give Tashia a passionate kiss)~ GOTO flirt4

  IF ~InPartySlot(LastTalkedToBy(),0)
!Global("TashiaRomanceActive","GLOBAL",3)
GlobalGT("TADreamResurrected","GLOBAL",3)
OR(2)
Global("Flirt5","LOCALS",0)
RealGlobalTimerExpired("FlirtTimer5","LOCALS")~ THEN REPLY ~(Give Tashia a passionate kiss)~ DO ~RealSetGlobalTimer("FlirtTimer5","LOCALS",1400)
SetGlobal("Flirt5","LOCALS",1)
IncrementGlobal("Flirt5","LOCALS",1)
SetGlobal("DoFlirt","LOCALS",5)~ EXIT
END

IF ~~ THEN BEGIN flirt2
  SAY ~Oh stop it already!  What's with all the smiles?  Go... hump a tree or something!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN flirt3
  SAY ~Why do you keep winking at me like that?  Quit it, you're making me uncomfortable...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN flirt4
  SAY ~(As you move your lips close to Tashia's face, she puts her hand up, pushing you away.  She looks in your eyes with feelings of surprise, confusion, and fear all displayed clearly on her fair face)~
    = ~What... What do you think you're doing?~
  IF ~~ THEN REPLY ~What?  Can't a good-looking <MANWOMAN> give a kiss to a beautiful looking Elven Maiden?~ GOTO flirt5
END

IF ~~ THEN BEGIN flirt5
  SAY ~What??  No!!  Who do you think I am?  A five-gold Copper Coronet companion you can rent for a night?  I truly thought of you different, <GABBER>!~
    = ~No, no need to explain anything!  Leave me alone please.~
  IF ~~ THEN DO ~SetGlobal("TashiaRomanceActive","GLOBAL",3)
SetGlobal("TashiaIsMad","LOCALS",1)~ EXIT
END
END

APPEND BTASHIA
  IF ~IsValidForPartyDialog("nalia")
Global("NaliaTalk","LOCALS",0)
TimeGT(DUSK_START)
TimeLT(DAWN_END)
AreaType(OUTDOOR)~ THEN BEGIN nalia1
    SAY ~*sigh* Looking at the clear sky above I am reminded of my homeland, the Dale... I miss it greatly.~
    IF ~~ THEN DO ~SetGlobal("NaliaTalk","LOCALS",1)~ EXTERN NALIAJ nalia2
  END
END

CHAIN ~NALIAJ~ nalia2
  ~Why the sky?~
  == ~BTASHIA~ ~The stars are different there, in the open tundra.  They come down to the very horizon all around you, as if drawing your very soul into the heavens themselves.~
  == ~NALIAJ~  ~Interesting.~
  == ~BTASHIA~ ~It is truly a beautiful land...  Especially during the winter, regardless of what others may think.~
  == ~NALIAJ~  ~You sound very strange, for an elf.  From what I understand, your people are most at home in the deep forest, among the lush green trees. They admire nature and vigorously protect it. Yet you are enchanted, arguably, by the very opposite? A lifeless, frozen tundra with no trees or nature in sight?~
  == ~BTASHIA~ ~Lifeless?  Truly, Nalia, how can you say that?  Nature is all around us, in some places you just have to look harder to see it. What do you think is sleeping peacefully under the frozen cover of the Icewind Dale?~
             = ~Nature, of course!  Grass and flowers are ready to spring outward ans share their joy as soon as the snow melts away every summer. And what about the various animals that inhabit the 'lifeless' lands?~
             = ~Or what about underneath the waters in the lakes of Ten-Towns or the ocean to the west?  Fish, vegitation, and even birds who prey on the fish!~
  == ~NALIAJ~  ~Yes, but you can find all that, and more, in any forest nearby.~
  == ~BTASHIA~ ~Of course you can, but think, how much more difficult are the lives of those who inhabit the frozen tundra?~
  == ~NALIAJ~  ~Quite a bit, I'd imagine.  Suffering is never a good thing...~
  == ~BTASHIA~ ~Where you see suffering, I see defiance, strength, and undeniable pride.  Surely it takes more determination and courage to live in such unquestionably harsh lands.  It takes more, and arguably, it rewards more.~
             = ~When I remember the Icewind Dale, I recall the pure, untainted nature.  The sparkling white of the frozen tundra, the cold, still water of the lakes, the crisp, clean air of the land, it all screams 'nature' to me. Nature at it's defiant, unquestionable best...~
             = ~*sigh*~
             = ~I'm sorry, Nalia, I know it sounds odd to hear an elf say all that, but I was not raised among the trees.  I haven't learned to appreciate the warm, inviting forests of the south, but I did learn to admire the pure, enchanting aura of the north.~
             = ~Oh, and one more thing you might like...~
  == ~NALIAJ~  ~What is it?~
  == ~BTASHIA~ ~Where are no obnoxious nobles in the Icewind Dale.  Everyone works for their fair share of food, and all treat others with equal respect.~
  == ~NALIAJ~  ~Honestly, that sounds too good to be true.~
  == ~BTASHIA~ ~Perhaps we shall travel north one day, so you may see for yourself then, hmm?~
END ~NALIAJ~ nalia3

APPEND ~NALIAJ~
  IF ~~ THEN BEGIN nalia3
    SAY ~Sure, I'd like that.~
    IF ~~ THEN EXIT
  END
END
